%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           virt_web
Version:        0.1
Release:        1%{?dist}
Summary:        Web frontend to libvirt

Group:          Virtualization
License:        GPLv2+
URL:            http://fedorahosted.org/virt_web
Source0:        http://fedorahosted.org/releases/v/i/virt_web/%{name}-%{version}.tar.gz
Source1:        INSTALL.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires: TurboGears2
Requires: python-paver
Requires: python-catwalk
Requires: python-qpid

BuildRequires: python-devel
BuildRequires: python-genshi
BuildRequires: TurboGears
BuildRequires: python-setuptools-devel
BuildRequires: python-paver

%description
Provides a web based front end for managing multiple libvirt installations over
libvirt qpid

%prep
%setup -q


%build
paver build

cp %{SOURCE1} ./

%install
rm -rf %{buildroot}
paver install --skip-build --root %{buildroot}

install -d %{buildroot}/%{_sysconfdir}/virt_web/
install -m 0640 prod.ini-sample %{buildroot}/%{_sysconfdir}/virt_web/prod.ini

install -d %{buildroot}%{_sbindir}
mv virt_web.wsgi %{buildroot}%{_sbindir}/

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 0644 virt_web.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/virt_web.conf

install -d %{buildroot}/%{_datadir}/virt_web/
mv %{buildroot}/usr/lib/python2.6/site-packages/virt_web/ %{buildroot}/%{_datadir}/virt_web/

install -d %{buildroot}/%{_localstatedir}/lib/virt_web/data/
install -d %{buildroot}/%{_localstatedir}/lib/virt_web/data/sessions/
install -d %{buildroot}/%{_localstatedir}/lib/virt_web/data/cache/

%clean
#rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt COPYING.txt ROADMAP.txt INSTALL.fedora
%{_datadir}/virt_web/
%{_sbindir}/virt_web.wsgi
%dir %{_sysconfdir}/virt_web/
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/virt_web/prod.ini
/usr/lib/python2.6/site-packages/virt_web*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/virt_web.conf
%attr(0750,apache,root) %{_localstatedir}/lib/virt_web/

%changelog
* Mon Nov 30 2009 Mike McGrath <mmcgrath@redhat.com> - 0.1-1
- Initial packaging attempt

